<template>
  <router-link
    :key="`direction-${id}`"
    tag="span"
    class="pointbadge"
    :to="{ name: 'pointId', params: { id: encodeURIComponent(id) } }"
    :title="`${percentage}%`"
  >
    {{ id }}
  </router-link>
</template>

<script>
  export default {
    name: 'MetrocheckPointBadge',
    props: {
      id: { type: Number, required: true },
      percentage: { type: Number, required: false },
    },
  }
</script>

<style scoped>

.pointbadge {
  font-size: .4em;
  vertical-align: super;
  background-color: yellowgreen;
  border-radius: .25em;
  padding: .1em .1em .1em .3em;
  margin-left: 3px;
  font-weight: 300;
  color: black;
  font-stretch: condensed;
  cursor: pointer;
}
</style>
